% ZeroForce: this function removes any net force on the system that may be
%            accrued in the reciprocal space sum.  This is a crude way of
%            doing things, but it is what AMBER does.
%
%   Arguments:
%   f:     the forces on all particles
%
%   Usage:
%   [f] = ZeroForce(f) returns the forces after removing any net force on
%         the system
function f = ZeroForce(f)
  szf = size(f);
  szf = szf(1,1);
  if (szf == 1),
    fsum = f;
  else
    fsum = mean(f);
  end
  for i = 1:1:3,
    f(:,i) = f(:,i) - fsum(i);
  end
end
